Skip to main content
GET
List Webhook Delivery

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

endpoint
string
required

The unique identifier for the webhook endpoint

Example:

"wh_6b849c6f-c091-4ad3-b7a9-de06415c6db3"

Query Parameters

type
enum<string>

Limit results to webhook deliveries of the given public event type.

Available options:
payment.created,
payment.pending_authorization,
payment.authorized,
payment.completed,
payment.settled,
payment.refunded,
payment.refund_partial,
payment.rejected,
payment.failed,
payment.reversed,
payment.voided,
settlement.created,
settlement.processing,
settlement.completed,
settlement.failed,
settlement.on_hold,
settlement.reversed,
refund.created,
refund.completed,
refund.failed,
refund.canceled
Example:

"refund.created"

event_id
string[]

Filter by one or more originating event IDs. Repeat the query parameter to supply multiple values.

Example:
delivery_id
string[]

Filter by one or more webhook delivery tokens. Repeat the query parameter to supply multiple values.

Pattern: ^whd_
Example:
status
enum<string>

Filter webhook deliveries by status. WD_PENDING is waiting for an initial attempt or retry (retryable failures stay WD_PENDING with an advanced next_attempt_at), WD_DELIVERED received a 2xx response, WD_FAILED is reserved by the API contract but not currently assigned, and WD_DEAD will receive no more automatic attempts.

Available options:
WD_PENDING,
WD_DELIVERED,
WD_FAILED,
WD_DEAD
Example:

"WD_DELIVERED"

limit
string

Maximum number of Webhook deliveries to include in the response

Example:

"10"

offset
string

Number of Webhook deliveries to skip before starting the result set

Example:

"0"

Response

This response contains a paginated list of webhook deliveries.

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Paginated collection of webhook deliveries